Il certificato del pacchetto Mac è scaduto

Corretto: il certificato utilizzato per firmare i pacchetti di aggiornamento e i programmi di installazione Mac per Adobe Acrobat o Reader è scaduto il 21 febbraio 2017. Poiché il certificato è scaduto, Mac OS ha iniziato a contrassegnare molti programmi di installazione e patch di Acrobat o Reader come non firmati o scaduti.

I seguenti programmi di installazione e patch sono interessati dal problema:

  • Pacchetti Acrobat DC Continuous precedenti alla versione 15.016.20041
  • Pacchetti Acrobat Reader DC Continuous precedenti alla versione 15.016.20039
  • Pacchetti Acrobat DC 2015 precedenti alla versione 15.006.30173
  • Pacchetti Acrobat Reader DC 2015 precedenti alla versione 15.006.30172
  • Pacchetti Acrobat e Reader XI precedenti alla versione 11.0.17

Se tentate di installare uno dei pacchetti interessati, verrà visualizzato il seguente messaggio di avviso:

Il certificato del pacchetto di installazione è scaduto

Se tentate di installare questi pacchetti tramite la riga di comando, Mac OS bloccherà l'installazione, causandone la mancata riuscita.

Soluzione: scaricate la patch o la versione più recente

Programmi di installazione completi

I programmi di installazione completi più recenti non sono interessati dal problema. Se disponete di un pacchetto di installazione completo per Acrobat/Reader e viene visualizzato il messaggio di avviso, scaricate la versione più recente.

I pacchetti di installazione in questo percorso sono stati aggiornati e non dovrebbe verificarsi alcun problema durante l'installazione dei pacchetti più recenti. 

Patch

Le patch più recenti per tutte le tracce non presentano questo problema. Adobe consiglia di installare gli aggiornamenti più recenti:

Per tutti questi pacchetti non verrà visualizzato alcun avviso e potranno essere installati senza problemi. Tuttavia, se si recupera esplicitamente la catena di certificati utilizzata per firmare il pacchetto facendo clic sull'icona di blocco, verrà visualizzato un messaggio che indica che il certificato è scaduto, come illustrato di seguito:

Messaggio di errore di scadenza del certificato

Tuttavia, la firma del pacchetto è valida e il sistema operativo non blocca in alcun modo l'installazione, che può essere verificata utilizzando il comando pkgutil: 

pkgutil --check-signature <percorso al file .pkg>

Di seguito viene mostrato un esempio dell'output terminale relativo al pacchetto di Acrobat 11.0.19 Acrobat, in cui è specificato che il pacchetto è firmato da un certificato ritenuto attendibile dal sistema operativo: 

Il comando pkgutil

Questo prodotto è concesso in licenza in base alla licenza di Attribuzione-Non commerciale-Condividi allo stesso modo 3.0 Unported di Creative Commons.  I post su Twitter™ e Facebook non sono coperti dai termini di Creative Commons.

Note legali   |   Informativa sulla privacy online